Package org.apache.lucene.sandbox.facet.recorders

# Interface LeafFacetRecorder

public interface LeafFacetRecorder
Record data for each facet of each doc of a leaf (segment).

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `record(int docId, int facetOrd)`
  TODO: Rename: collect? accumulate?

- ## Method Details

  - ### record

    void record(int docId, int facetOrd) throws IOException
    TODO: Rename: collect? accumulate?
    Parameters:
      `docId` - document ID
      `facetOrd` - facet ordinal
    Throws:
      `IOException`